%define targetfile /etc/syslog.conf
%define buildroot $RPM_BUILD_ROOT

Summary: Log your system logs to the Fermi central logger
Name: zz_use_clogger
Version: 1.1
Release: 4%{?dist}
License: GPL
Group: Fermi
BuildArch: noarch
Requires: sysklogd
Source0: 000-use-clogger.conf

%description
This package will change your syslog.conf file that will
send all of your logs to the Fermilab central logger.
It does a condictional restart of your syslog so that it will 
reread this new configuration.

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/rsyslog.d/
cp %{SOURCE0} %{buildroot}/etc/rsyslog.d/

chmod 644 %{buildroot}/etc/rsyslog.d/*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%config /etc/rsyslog.d/*

%triggerin -- sysklogd
if [ -f %{targetfile} ] ; then
	if `grep -q '^[^#].*clogger' %{targetfile}` ; then
		sed -i -e "s:.*@clogger.fnal.gov:\#&\n\*.\*		@clogger.fnal.gov:"  %{targetfile}
	else
		echo "" >> %{targetfile}
		echo "# We are going to log everything to a central logger" >> %{targetfile}
		echo "*.*		@clogger.fnal.gov" >> %{targetfile}
	fi
	/etc/init.d/syslog condrestart
fi

%postun
if [ $1 -eq 0 ]; then
  if [ -f %{targetfile} ] ; then
	if `grep -q clogger %{targetfile}` ; then
		sed -i -e "s:.*@clogger.fnal.gov:\#&:"  %{targetfile}
	fi
	/etc/init.d/syslog condrestart
  fi
fi

%changelog
* Wed Jan 30 2012 Pat Riehecky <riehecky@fnal.gov> 1.1-4
- Added rsyslog5 config in line with SLF6.4

* Mon Apr 20 2009 Troy Dawson <dawson@fnal.gov> 1.0-1
- First go round

